package com.iamberry.wechat.face.channel;

import com.iamberry.wechat.core.entity.channel.AttenStatistics;

import java.util.List;

/**
 *  渠道关注二维码统计接口
 * @author Administrator
 * @Date 2018-11-27
 */
public interface AttenStatisticsService {
    /**
     * 获取集合
     * @param  attenStatistics
     * @return List
     */
    List<AttenStatistics> getAttenStatisticsList(AttenStatistics  attenStatistics);
    /**
     * 查询单条数据
     * @param  id
     * @return  attenStatistics
     */
    AttenStatistics  getAttenStatisticsById(Integer  id);
    /**
     * 增加数据
     * @param  attenStatistics
     * @return Integer
     */
    Integer  save(AttenStatistics  attenStatistics);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}